Index: themes/blueSilence/_define.php
===================================================================
--- themes/blueSilence/_define.php	(revision 270)
+++ themes/blueSilence/_define.php	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: themes/customCSS/_config.php
===================================================================
--- themes/customCSS/_config.php	(revision 907)
+++ themes/customCSS/_config.php	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: themes/customCSS/_define.php
===================================================================
--- themes/customCSS/_define.php	(revision 967)
+++ themes/customCSS/_define.php	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: themes/customCSS/_public.php
===================================================================
--- themes/customCSS/_public.php	(revision 270)
+++ themes/customCSS/_public.php	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: themes/customCSS/locales/fr/main.po
===================================================================
--- themes/customCSS/locales/fr/main.po	(revision 724)
+++ themes/customCSS/locales/fr/main.po	(revision 1179)
@@ -3,5 +3,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: themes/default/_define.php
===================================================================
--- themes/default/_define.php	(revision 270)
+++ themes/default/_define.php	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: themes/default/print.css
===================================================================
--- themes/default/print.css	(revision 270)
+++ themes/default/print.css	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: themes/default/style.css
===================================================================
--- themes/default/style.css	(revision 270)
+++ themes/default/style.css	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: themes/ductile/locales/en/resources.php
===================================================================
--- themes/ductile/locales/en/resources.php	(revision 628)
+++ themes/ductile/locales/en/resources.php	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: themes/ductile/locales/fr/resources.php
===================================================================
--- themes/ductile/locales/fr/resources.php	(revision 628)
+++ themes/ductile/locales/fr/resources.php	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or